//
//  ScreeningDatesStruct.swift
//  Bakalarka
//
//  Created by i332916 on 01/04/2018.
//  Copyright © 2018 i332916. All rights reserved.
//

import Foundation

struct Screening_dates : Codable {
    let date : String?
    let screenings : [Screenings]?
    
    enum CodingKeys: String, CodingKey {
        
        case date = "date"
        case screenings = "screenings"
    }
    
    init(from decoder: Decoder) throws {
        let values = try decoder.container(keyedBy: CodingKeys.self)
        date = try values.decodeIfPresent(String.self, forKey: .date)
        screenings = try values.decodeIfPresent([Screenings].self, forKey: .screenings)
    }
    
}
